# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetErrorMessage

Function

Returns the current error message.

Syntax
`
#include <dx/dx.h>
`

char *DXGetErrorMessage()

Functional Details

Returns a pointer to the current error message `NULL`-terminated string. This is a pointer to a static buffer in local memory, so it must be copied if it is to be used outside the scope of the calling routine.

Return Value

Returns a pointer to a null string if the error code is `ERROR_NONE`. Otherwise, returns a pointer to the current error message.

See Also

`DXSetErrorExit`

13.1 , "Error Handling and Messages".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]